c     Copyright (C)
c     2000 -2013 Universite Paul Sabatier,
c     2000 -2013 Centre National de la Recherche Scientifique
c     2000 -2013 Ecole des Mines d'Albi
c     2014-2018 Msostar
c
c     This program is free software; you can redistribute it and/or modify
c     it under the terms of the GNU General Public License as published by
c     the Free Software Foundation; either version 2, or (at your option)
c     any later version.

c     This program is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.

c     You should have received a copy of the GNU General Public License
c     along with this program; if not, write to the Free Software
c     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
c     USA.
c
      subroutine read_dkadx(Nb,Nq,nspecies,i_min,i_max)
      implicit none
      include 'max.inc'
      include 'data.inc'
      include 'files_in.inc'
      include 'formats.inc'
      include 'dkadx.inc'

      integer band,quad,i,Nb,Nq,nspecies,ispecies,i_min,i_max

      open(12,file=file_dkadx)
      do i=1,3
         read(12,*)
      enddo
      read(12,*) nspecies
      read(12,*)
      read(12,*) i_min
      read(12,*)
      read(12,*) i_max
      read(12,*)
      read(12,*)
      do ispecies=1,nspecies
c     Debug
c         write(*,*) 'ispecies=',ispecies
c     Debug
         read(12,*)
         do i=i_min,i_max
c     Debug
c         write(*,*) 'i=',i
c     Debug
            do band=1,Nb
c     Debug
c         write(*,*) 'band=',band
c     Debug
               read(12,50) (dkadx(band,quad,i,ispecies),quad=1,Nq)
            enddo ! band
         enddo ! i
         read(12,*)
      enddo ! ispecies
      close(12)

      return
      end
